curl
curl --request GET \
--url "https://au.api.plerion.com/v1/organization/user-groups/90355263-ff80-4066-b947-244e1b01907a/preferences/home-dashboard?tenantId=65a72929-0e61-4c9c-b7a8-8abe6886fd6c" \
--header "Authorization: Bearer $PLERION_ORGANIZATION_API_KEY"import requests
url = "https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tenantId": "65a72929-0e61-4c9c-b7a8-8abe6886fd6c",
"homeReportId": "3f1c7d2e-5a6b-4c8d-9e0f-1a2b3c4d5e6f",
"updatedAt": "2026-10-05T04:12:00.000Z"
}
}{
"errors": [
{
"code": "ReportNotFound",
"message": "Custom report 3f1c7d2e-5a6b-4c8d-9e0f-1a2b3c4d5e6f was not found in tenant 65a72929-0e61-4c9c-b7a8-8abe6886fd6c"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"errors": [
{
"code": "RoleNotFound",
"message": "role not found"
}
]
}Get a user group's home dashboard
The home dashboard this user group has in the tenant, before resolution against the other levels. Answers 404 PreferenceNotFound when the user group has none of its own, and 404 GroupNotFound when the user group is not in the organization.
Requires an organization API key with read access.
GET
/
v1
/
organization
/
user-groups
/
{groupId}
/
preferences
/
home-dashboard
curl
curl --request GET \
--url "https://au.api.plerion.com/v1/organization/user-groups/90355263-ff80-4066-b947-244e1b01907a/preferences/home-dashboard?tenantId=65a72929-0e61-4c9c-b7a8-8abe6886fd6c" \
--header "Authorization: Bearer $PLERION_ORGANIZATION_API_KEY"import requests
url = "https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{region}.api.plerion.com/v1/organization/user-groups/{groupId}/preferences/home-dashboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tenantId": "65a72929-0e61-4c9c-b7a8-8abe6886fd6c",
"homeReportId": "3f1c7d2e-5a6b-4c8d-9e0f-1a2b3c4d5e6f",
"updatedAt": "2026-10-05T04:12:00.000Z"
}
}{
"errors": [
{
"code": "ReportNotFound",
"message": "Custom report 3f1c7d2e-5a6b-4c8d-9e0f-1a2b3c4d5e6f was not found in tenant 65a72929-0e61-4c9c-b7a8-8abe6886fd6c"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"errors": [
{
"code": "RoleNotFound",
"message": "role not found"
}
]
}Authorizations
Query Parameters
Was this page helpful?